imagePullSecrets: []

terminationGracePeriodSeconds: 30
restartPolicy: Always
serviceAccountName: "default"
serviceAccountPullSecrets: []

rbac:
  create: false

image:
  name: "fluent/fluent-bit"
  tag: "1.5.5-debug"
  pullPolicy: IfNotPresent

podAnnotations:
  fluentbit.io/exclude: "true"

resources:
  requests:
    cpu: 100m
    memory: 256Mi
  limits:
    cpu: 200m
    memory: 512Mi

customConfig: {}
  # input-nginx.conf: |-
  #   [INPUT]
  #       Name                tail
  #       Path                /var/log/nginx/*.log
  #       DB                  /var/log/flb_elb.db
  #       Tag                 eb.*
  #       Buffer_Chunk_Size   48k
  #       Buffer_Max_Size     64k
  #       Mem_Buf_Limit       2MB
  #       Skip_Long_Lines     On
  #       Refresh_Interval    10

  #   [FILTER]
  #       Name            parser
  #       Match           **.nginx.access.*
  #       Parser          nginx_access
  #       Key_Name        log
  #       Reserve_Data    true

customParsers: {}
  # ruby.conf: |-
  #   [PARSER]
  #       Name        ruby
  #       Format      json
  #       Time_Key    timestamp
  #       Time_Format %Y-%m-%dT%H:%M:%S.%L
  #       Time_Keep   On
  #       Decode_Field_As   escaped    log

outputs:
  stdout:
    enabled: false
  kafka:
    enabled: false
    topics: ops.kube-logs-fluentbit.json.001
    brokers:
    - server: kafka.local
      port: 9092

  elasticsearch:
    enabled: false

tolerations: []
nodeSelector: {}
affinity: {}
envs: []
